<?php

namespace Blazemedia\Affiliation\Rendering;

/** 
 */
class PrintEbayDisclaimer {


    public function __construct() {

        //enque script
        add_action( 'wp_enqueue_scripts', [ $this, 'loadEbayDependencies' ], 1);
        
    }


    public function loadEbayDependencies() {

        wp_enqueue_style(     'ebay_disclaimer', BLAZE_AFFILIATION_URI .'css/ebay_disclaimer.css' , [], BLAZE_AFFILIATION_VERSION, true);
        wp_enqueue_script('EbayDisclaimer', BLAZE_AFFILIATION_URI . 'js/EbayDisclaimer.js', [], BLAZE_AFFILIATION_VERSION, true);
        wp_add_inline_script( 'EbayDisclaimer', 'const BLZ_API_RENDERING_MANAGER = "'.BLZ_API_RENDERING_MANAGER.'"', 'before' );
        
    }

}